package com.sonic.cow.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sonic.cow.dao.PromptConfigDao;
import com.sonic.cow.domain.entity.PromptConfig;
import com.sonic.cow.service.PromptConfigService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class PromptConfigServiceImpl extends ServiceImpl<PromptConfigDao, PromptConfig> implements PromptConfigService {


    @Override
    public PromptConfig getPromptTemplate(String promptType) {
        return getOne(Wrappers.<PromptConfig>lambdaQuery().eq(PromptConfig::getPromptType, promptType)
                .eq(PromptConfig::getIsDelete, false)
                .orderByDesc(PromptConfig::getId)
                .last("limit 1"));
    }

}
